Package org.apache.sling.servlets.resolver.internal.bundle

# Class BundledHooks

java.lang.Object
org.apache.sling.servlets.resolver.internal.bundle.BundledHooks

All Implemented Interfaces:
  `org.osgi.framework.hooks.service.EventListenerHook`, `org.osgi.framework.hooks.service.FindHook`

public class BundledHooks extends Object implements org.osgi.framework.hooks.service.FindHook, org.osgi.framework.hooks.service.EventListenerHook

## Constructor Summary

Constructors
Constructor
Description
`BundledHooks()`

## Method Summary

Modifier and Type
Method
Description
`void`
`event(org.osgi.framework.ServiceEvent event, Map<org.osgi.framework.BundleContext,Collection<org.osgi.framework.hooks.service.ListenerHook.ListenerInfo>> listeners)`
`void`
`find(org.osgi.framework.BundleContext context, String name, String filter, boolean allServices, Collection<org.osgi.framework.ServiceReference<?>> references)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundledHooks

public BundledHooks()

## Method Details

### find

public void find(org.osgi.framework.BundleContext context, String name, String filter, boolean allServices, Collection<org.osgi.framework.ServiceReference<?>> references)

Specified by:
  `find` in interface `org.osgi.framework.hooks.service.FindHook`

### event

public void event(org.osgi.framework.ServiceEvent event, Map<org.osgi.framework.BundleContext,Collection<org.osgi.framework.hooks.service.ListenerHook.ListenerInfo>> listeners)

Specified by:
  `event` in interface `org.osgi.framework.hooks.service.EventListenerHook`